ru.bitel.bgbilling.modules.bill.server.bean

## Class NumerationPoolManager

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<B>
      - - ru.bitel.common.model.LoggingAbstractManager<NumerationPool>
        - - ru.bitel.bgbilling.modules.bill.server.bean.NumerationPoolManager

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class NumerationPoolManager
      extends LoggingAbstractManager<NumerationPool>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.LoggingAbstractManager

      `userId`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, getByIdPS, mid, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NumerationPoolManager(java.sql.Connection con, int moduleId, int userId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `deleteImpl(int id)`
    `static java.lang.String` | `formatNumber(int poolId, int yy, int mm, int num, int num_in_month, int num_in_year, java.sql.Connection con, int mid)`
    `static java.lang.String` | `formatNumber(int poolId, int yy, int mm, int num, int num_in_month, int num_in_year, java.sql.Connection con, int moduleId, int contractId)`
    `protected NumerationPool` | `getFromRS(java.sql.ResultSet rs)`
    `protected NumerationPool` | `getImpl(int id)`
    `java.util.List<NumerationPool>` | `list()`
    `protected void` | `updateImpl(NumerationPool b)`

    - ### Methods inherited from class ru.bitel.common.model.LoggingAbstractManager

      `delete, logListByCid, logListByOid, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, eq, get, getById, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NumerationPoolManager

          public NumerationPoolManager(java.sql.Connection con,
                                       int moduleId,
                                       int userId)

  - ### Method Detail

    - #### list

          public java.util.List<NumerationPool> list()
                                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFromRS

          protected NumerationPool getFromRS(java.sql.ResultSet rs)
                                      throws java.sql.SQLException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<NumerationPool>`
      Throws:
        `java.sql.SQLException`

    - #### getImpl

          protected NumerationPool getImpl(int id)
                                    throws ru.bitel.bgbilling.common.BGException,
                                           java.sql.SQLException

      Overrides:
        `getImpl` in class `ru.bitel.common.dao.AbstractDao<NumerationPool>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### updateImpl

          protected void updateImpl(NumerationPool b)
                             throws ru.bitel.bgbilling.common.BGException,
                                    java.sql.SQLException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<NumerationPool>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### deleteImpl

          protected int deleteImpl(int id)
                            throws ru.bitel.bgbilling.common.BGException,
                                   java.sql.SQLException

      Overrides:
        `deleteImpl` in class `ru.bitel.common.dao.AbstractDao<NumerationPool>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `java.sql.SQLException`

    - #### formatNumber

          public static java.lang.String formatNumber(int poolId,
                                                      int yy,
                                                      int mm,
                                                      int num,
                                                      int num_in_month,
                                                      int num_in_year,
                                                      java.sql.Connection con,
                                                      int mid)
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### formatNumber

          public static java.lang.String formatNumber(int poolId,
                                                      int yy,
                                                      int mm,
                                                      int num,
                                                      int num_in_month,
                                                      int num_in_year,
                                                      java.sql.Connection con,
                                                      int moduleId,
                                                      int contractId)
                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`